Resellers
Return a list of all Accounts Types.
An object which contains response metadata information and a data array of Fields.
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/customers/types HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 3
},
"data": [
{
"value": "customer",
"label": "Customer",
"description": "Standard account type. (default)"
},
{
"value": "reseller",
"label": "Reseller",
"description": "Sub account will also be considered a reseller, in which they can have their own sub accounts."
},
{
"value": "staff",
"label": "Staff/Internal",
"description": "Denotes that the account is not a customer, but rather in use for testing or sales, etc."
}
]
}Return a list of all Accounts for the reseller.
Account response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/customers HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": [
{
"id": "text",
"billing": {
"data_retention": 1,
"rollup_retention": 1,
"trial": true
},
"ingest_ip": "text",
"ingest_port": 1,
"reseller": {
"children": 1,
"is_parent": true,
"node": "text",
"parent": "text"
},
"shortname": "text"
}
]
}Create an Account (sub customer) the supplied object. Do NOT submit an ID. IDs are auto generated and immutable.
Shortname of the organization. 5-16 chars max. RFC 3986 characters only.
netographyName of the organization
Netography, Inc.Whether or not this is a trial account
falseData retention
90Possible values: Rollup Data Retention. Should be >= retention.
180Possible values: Optional. Contractual Flows per Second for the account
10000Email address of the 1st admin user
no-reply@netography.comFirst or Given name of the 1st admin user
SkippyLast or Family name of the 1st admin user
LongbottomAccount response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
POST /api/v1/customer HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 227
{
"shortname": "netography",
"organization": "Netography, Inc.",
"type": "customer",
"trial": false,
"retention": 90,
"rollupRetention": 180,
"fps": 10000,
"username": "no-reply@netography.com",
"given_name": "Skippy",
"family_name": "Longbottom"
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "text",
"billing": {
"data_retention": 1,
"rollup_retention": 1,
"trial": true
},
"ingest_ip": "text",
"ingest_port": 1,
"reseller": {
"children": 1,
"is_parent": true,
"node": "text",
"parent": "text"
},
"shortname": "text"
}
}Fetches a specific Account from the shortname supplied in the path.
String identifier of the customer
Account response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/customer/{shortname} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "text",
"billing": {
"data_retention": 1,
"rollup_retention": 1,
"trial": true
},
"ingest_ip": "text",
"ingest_port": 1,
"reseller": {
"children": 1,
"is_parent": true,
"node": "text",
"parent": "text"
},
"shortname": "text"
}
}Update an Account given the provided object. This does not do a diff. You must send the complete object.
The shortname of the Account to be updated
Name of the organization
Netography, Inc.Whether or not this is a trial account
falseData retention
90Possible values: Rollup Data Retention. Should be >= retention.
180Possible values: Optional. Contractual Flows per Second for the account
10000Account response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/customer/{shortname} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 116
{
"organization": "Netography, Inc.",
"type": "customer",
"trial": false,
"retention": 90,
"rollupRetention": 180,
"fps": 10000
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "text",
"billing": {
"data_retention": 1,
"rollup_retention": 1,
"trial": true
},
"ingest_ip": "text",
"ingest_port": 1,
"reseller": {
"children": 1,
"is_parent": true,
"node": "text",
"parent": "text"
},
"shortname": "text"
}
}Deletes the Account.
The shortname of the User to be retrieved
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/customer/{shortname} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated